Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518009 - os-collect-config doesn't start at boot on split stack deployments with pre-provisioned servers
Summary: os-collect-config doesn't start at boot on split stack deployments with pre-p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z5
: 11.0 (Ocata)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1518028
TreeView+ depends on / blocked
 
Reported: 2017-11-27 21:53 UTC by Marius Cornea
Modified: 2018-05-18 17:04 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.2.7-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518028 (view as bug list)
Environment:
Last Closed: 2018-05-18 17:02:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1734783 None None None 2017-11-27 23:15:41 UTC
Red Hat Product Errata RHSA-2018:1627 None None None 2018-05-18 17:04:45 UTC
OpenStack gerrit 523245 None None None 2017-11-27 23:16:05 UTC

Description Marius Cornea 2017-11-27 21:53:58 UTC
Description of problem:
os-collect-config service doesn't start at boot on split stack deployments

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-6.2.4-1.el7ost.noarch.rpm 

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP11 with split stack on pre-provisioned nodes
2. Reboot one of the nodes
3. Check os-collect-config service status

Actual results:
[root@controller-0 stack]# systemctl status os-collect-config
● os-collect-config.service - Collect metadata and run hook commands.
   Loaded: loaded (/usr/lib/systemd/system/os-collect-config.service; disabled; vendor preset: disabled)
   Active: inactive (dead)


Expected results:
os-collect-config service is started after a reboot so subsequent stack updates can be applied.

Additional info:

Before the node reboot:

[root@controller-0 stack]# systemctl status os-collect-config
● os-collect-config.service - Collect metadata and run hook commands.
   Loaded: loaded (/usr/lib/systemd/system/os-collect-config.service; disabled; vendor preset: disabled)
   Active: active (running) since Mon 2017-11-27 18:18:57 UTC; 3h 29min ago
 Main PID: 10945 (os-collect-conf)
   Memory: 760.9M
   CGroup: /system.slice/os-collect-config.service
           └─10945 /usr/bin/python /usr/bin/os-collect-config

Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017 ----------------------- PROFILING -----------------------
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017 Target: migration.d
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017 Script                                     Seconds
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017 ---------------------------------------  ----------
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017
Nov 27 18:49:17 controller-0 os-collect-config[10945]: dib-run-parts Mon Nov 27 18:49:17 UTC 2017 --------------------- END PROFILING ---------------------
Nov 27 18:49:17 controller-0 os-collect-config[10945]: [2017-11-27 18:49:17,406] (os-refresh-config) [INFO] Completed phase migration


After the node reboot:
[root@controller-0 stack]# systemctl status os-collect-config
● os-collect-config.service - Collect metadata and run hook commands.
   Loaded: loaded (/usr/lib/systemd/system/os-collect-config.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Comment 1 Alex Schultz 2017-11-27 22:49:27 UTC
The workaround for this is to just manually enable it by running 'sudo systemctl enable os-collect-config'

Comment 2 Alex Schultz 2017-11-27 23:06:16 UTC
It appears that the upstream patch for the backport also includes some extra items that may have partial upgrade implications.  We'll have to cherry-pick just part of it.

Comment 3 Lon Hohberger 2018-03-07 13:51:23 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-6.2.7-2.el7ost.  This build is available now.

Comment 5 Gurenko Alex 2018-05-14 14:13:44 UTC
Verified on puddle 2018-05-03.2

Comment 8 errata-xmlrpc 2018-05-18 17:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1627


Note You need to log in before you can comment on or make changes to this bug.